Get the authorization data for the logged in user

Returns the authorization data for the logged in user.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

rolesenumOptional
roles
Allowed values:

Response

Authorization data for a user
idstringOptionalformat: "^[0-9a-f]{24}$"
String representation of a MongoDB ObjectId
provenancestringOptional
The name of the AAA adapter from which the user logged in
usernamestringOptional
The username of the logged in user
firstnamestringOptional
The first name of the logged in user
groupslist of objectsOptional
An array of groups which contain the logged in user
roleslist of stringsOptional
Array of roles user has access to
roleNameslist of stringsOptional
Array of role names that user has access to
routeslist of stringsOptional
Array of routes logged in user has access to
methodsmap from strings to lists of stringsOptional
Map of service names and method names which the user has access to

Errors

500
Internal Server Error